- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
G::Base64 Class Reference

A base64 codec class. More...

`#include <gbase64.h>`

## Static Public Member Functions
static std::string | encode (const std::string &s, const std::string &line_break)
| Encodes the given string. More...
static std::string | encode (const std::string &s)
| Encodes the given string. More...
static std::string | decode (const std::string &)
| Decodes the given string. More...
static bool | valid (const std::string &)
| Returns true if the string can be decoded. More...

## Detailed Description

A base64 codec class.

See also
  RFC 1341 section 5.2

Definition at line 38 of file gbase64.h.

## Member Function Documentation

std::string G::Base64::decode | ( | const std::string & | s | ) |
| static

Decodes the given string.

Throws an exception if not a valid encoding.

Definition at line 131 of file gbase64.cpp.

std::string G::Base64::encode | ( | const std::string & | s,
|  | const std::string & | line_break
| ) |  |
| static

Encodes the given string.

Definition at line 68 of file gbase64.cpp.

std::string G::Base64::encode | ( | const std::string & | s | ) |
| static

Encodes the given string.

Uses carriage-return-line-feed as the line-break string.

Definition at line 63 of file gbase64.cpp.

bool G::Base64::valid | ( | const std::string & | s | ) |
| static

Returns true if the string can be decoded.

Definition at line 166 of file gbase64.cpp.

The documentation for this class was generated from the following files:

- gbase64.h
- gbase64.cpp